Create volume
curl --request POST \
--url https://region.nks.europe-west4.nscale.com/api/v2/volumes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"name": "database-data",
"description": "Persistent database storage",
"tags": [
{
"name": "environment",
"value": "production"
}
]
},
"spec": {
"networkId": "61f0ad85-3001-41cb-824a-e6a047668dfe",
"volumeClassId": "44444444-4444-4444-4444-444444444444",
"sizeGiB": 200
}
}
'import requests
url = "https://region.nks.europe-west4.nscale.com/api/v2/volumes"
payload = {
"metadata": {
"name": "database-data",
"description": "Persistent database storage",
"tags": [
{
"name": "environment",
"value": "production"
}
]
},
"spec": {
"networkId": "61f0ad85-3001-41cb-824a-e6a047668dfe",
"volumeClassId": "44444444-4444-4444-4444-444444444444",
"sizeGiB": 200
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {
name: 'database-data',
description: 'Persistent database storage',
tags: [{name: 'environment', value: 'production'}]
},
spec: {
networkId: '61f0ad85-3001-41cb-824a-e6a047668dfe',
volumeClassId: '44444444-4444-4444-4444-444444444444',
sizeGiB: 200
}
})
};
fetch('https://region.nks.europe-west4.nscale.com/api/v2/volumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"id": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
"name": "database-data",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2026-08-10T12:00:00Z",
"createdBy": "john.doe@acme.com",
"provisioningStatus": "provisioned",
"healthStatus": "healthy",
"tags": [
{
"name": "environment",
"value": "production"
}
]
},
"spec": {
"networkId": "61f0ad85-3001-41cb-824a-e6a047668dfe",
"volumeClassId": "44444444-4444-4444-4444-444444444444",
"sizeGiB": 200
},
"status": {
"regionId": "ba39bff5-b0d8-4c60-89e5-ed1104356b4a",
"sizeGiB": 200
}
}{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "not_found",
"error_description": "the requested resource does not exist",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "unprocessable_content",
"error_description": "the request body was in the wrong format",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Volumes
Create volume
Create a volume on the Region and project implied by its Network. The VolumeClass and requested capacity are immutable after creation.
POST
/
api
/
v2
/
volumes
Create volume
Authorizations
Operation requires OAuth 2.0 bearer token authentication.
Body
application/json
A request to create a volume.
Response
A volume.
Was this page helpful?